Umsätze suchen
Benötigte Berechtigung:read(Daten lesen)
Sucht Bankumsätze der Firma mit einem Filter und liefert eine Seite der Treffer. Umsätze deaktivierter Konten sind nicht enthalten.
Benötigt einen Schlüssel mit der Berechtigung read.
Empfohlen: Authorization: Bearer bm_…. Der Schlüssel wird nur einmal angezeigt; nie in URLs, Logs oder Frontend-Code ablegen.
In: header
Request-Body
application/json
Filter, Sortierung und Seite. Dokumentierte Filterattribute: x-bimetrics-filter.
TypeScript-Typen
Typ request body für TypeScript.
Suche mit Filter, Sortierung und Seiten. Der Filterausdruck steht auf oberster Ebene; {} liefert alle Einträge.
Filterattribute
Dokumentiert sind diese Attribute für attribute; für sort nur die als sortierbar markierten. Aufbau des Filters: Filtern und Paginieren.
| Attribut | Typ | Sortierbar | Beschreibung |
|---|---|---|---|
id | uuid | ja | ID des Umsatzes. |
bankAccountId | uuid | ja | ID des Bankkontos. |
bookingDate | date | ja | Buchungstag. |
valueDate | date | ja | Wertstellung. |
transactionAmount | integer | ja | Betrag in Cent, negativ bei Ausgängen. |
otherPartyName | string | ja | Name der Gegenseite. |
remittanceInformation | string | ja | Verwendungszweck. |
status | string | ja | `booked` (gebucht) oder `pending` (vorgemerkt). |
updatedAt | date-time | ja | Zeitpunkt der letzten Änderung. |
Antworten
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl --fail-with-body "https://app.bimetrics.de/api/banktransaction/filter" \ -H "Authorization: Bearer $BIMETRICS_API_KEY" \ -H "Content-Type: application/json" \ -d '{"direction":["desc","asc"],"limit":100,"offset":0,"sort":["bookingDate","id"]}'{ "items": [ { "accountIBAN": "DE89370400440532013000", "bankAccount": { "IBAN": "DE89370400440532013000", "accountOwner": null, "accountOwnerId": "53cd10a9-c864-4dc3-a777-9860d59efe6c", "balance": 2465032, "balanceAvailable": true, "balanceCurrency": "EUR", "balanceDate": "2026-09-27T05:00:12Z", "bankName": "Commerzbank", "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-03-02T11:48:30Z", "currency": "EUR", "disabled": false, "id": "8faaa132-ef45-4af2-8dbb-a139b051f10f", "ownerName": "Hansen & Kowalski Werbetechnik GmbH", "productName": "Geschäftskonto", "updatedAt": "2026-09-27T05:00:12Z" }, "bankAccountId": "8faaa132-ef45-4af2-8dbb-a139b051f10f", "bookingDate": { "day": 12, "month": 9, "year": 2026 }, "bookingDateTime": null, "bookings": [ { "account": 1201, "accountContra": 11004, "accountingModel": "SKR03", "amount": "1785", "bookingDate": { "day": 12, "month": 9, "year": 2026 }, "bookingFlags": "", "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-12T07:30:19Z", "finalized": null, "id": "a91d68ff-83b1-43a7-b373-91eb6adcebc6", "label": "Zahlung, Brauhaus Elbwiese GmbH, RE-2026-0142", "performanceFrom": null, "performanceTo": null, "refBankTransactionId": "a1ba4b85-5bd8-4cef-bbbd-16eaa2c46033", "refDocumentId": null, "refMatch": "e21b3d18-17ea-4318-810c-919ec0a94dcb", "revertsAccountBookingId": null, "updatedAt": "2026-09-12T07:30:19Z" } ], "checkId": null, "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-12T05:10:41Z", "id": "a1ba4b85-5bd8-4cef-bbbd-16eaa2c46033", "mandateId": null, "match": { "amountOpen": 0, "autoMatch": true, "bankTransactions": [ { "bankTransactionId": "a1ba4b85-5bd8-4cef-bbbd-16eaa2c46033", "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-12T07:30:15Z", "id": "840529df-2d2a-42ea-afa3-3704d855634f", "matchId": "e21b3d18-17ea-4318-810c-919ec0a94dcb", "updatedAt": "2026-09-12T07:30:15Z" } ], "category": "payment", "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-12T07:30:15Z", "documents": [ { "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-12T07:30:15Z", "documentId": "3026096b-614f-40d3-8749-8acf9b529480", "id": "3432135f-5b01-4288-9764-e1ff7d061777", "matchId": "e21b3d18-17ea-4318-810c-919ec0a94dcb", "updatedAt": "2026-09-12T07:30:15Z" } ], "id": "e21b3d18-17ea-4318-810c-919ec0a94dcb", "matchingRule": null, "matchingRuleId": null, "updatedAt": "2026-09-12T07:30:15Z" }, "otherPartyIBAN": "DE02120300000000202051", "otherPartyName": "Brauhaus Elbwiese GmbH", "otherPartyUltimate": null, "remittanceInformation": "RE-2026-0142 Brauhaus Elbwiese", "status": "booked", "transactionAmount": 178500, "transactionCurrency": "EUR", "updatedAt": "2026-09-12T07:30:19Z", "valueDate": { "day": 12, "month": 9, "year": 2026 }, "valueDateTime": null }, { "accountIBAN": "DE89370400440532013000", "bankAccount": { "IBAN": "DE89370400440532013000", "accountOwner": null, "accountOwnerId": "53cd10a9-c864-4dc3-a777-9860d59efe6c", "balance": 2465032, "balanceAvailable": true, "balanceCurrency": "EUR", "balanceDate": "2026-09-27T05:00:12Z", "bankName": "Commerzbank", "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-03-02T11:48:30Z", "currency": "EUR", "disabled": false, "id": "8faaa132-ef45-4af2-8dbb-a139b051f10f", "ownerName": "Hansen & Kowalski Werbetechnik GmbH", "productName": "Geschäftskonto", "updatedAt": "2026-09-27T05:00:12Z" }, "bankAccountId": "8faaa132-ef45-4af2-8dbb-a139b051f10f", "bookingDate": { "day": 3, "month": 9, "year": 2026 }, "bookingDateTime": null, "bookings": [ { "account": 1201, "accountContra": 71007, "accountingModel": "SKR03", "amount": "-43.89", "bookingDate": { "day": 3, "month": 9, "year": 2026 }, "bookingFlags": "", "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-04T08:02:40Z", "finalized": null, "id": "2f279ef2-0219-4b84-b04f-4d73e4ce6812", "label": "Zahlung, Papierhaus Wendt KG, 2026-5531", "performanceFrom": null, "performanceTo": null, "refBankTransactionId": "78c4ff15-f2a0-4eae-945d-73a969adab4b", "refDocumentId": null, "refMatch": "d00419ed-ecab-4800-ad69-d482b73a6961", "revertsAccountBookingId": null, "updatedAt": "2026-09-04T08:02:40Z" } ], "checkId": null, "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-03T05:09:58Z", "id": "78c4ff15-f2a0-4eae-945d-73a969adab4b", "mandateId": "PW-88213-01", "match": { "amountOpen": 0, "autoMatch": false, "bankTransactions": [ { "bankTransactionId": "78c4ff15-f2a0-4eae-945d-73a969adab4b", "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-04T08:02:37Z", "id": "b06c1337-d724-4854-bba8-d52bc6355c8b", "matchId": "d00419ed-ecab-4800-ad69-d482b73a6961", "updatedAt": "2026-09-04T08:02:37Z" } ], "category": "payment", "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-04T08:02:37Z", "documents": [ { "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-04T08:02:37Z", "documentId": "a129ef0a-da5d-4204-804c-764d751bca95", "id": "e1331e65-c539-4c84-9271-66cc20f52910", "matchId": "d00419ed-ecab-4800-ad69-d482b73a6961", "updatedAt": "2026-09-04T08:02:37Z" } ], "id": "d00419ed-ecab-4800-ad69-d482b73a6961", "matchingRule": { "active": true, "companyId": "9c388e1f-04a6-4770-80bd-66cd98dd00d5", "createdAt": "2026-09-04T08:02:41Z", "id": "5e0f6a4b-8d2c-4f7e-9b1a-3c6d2e8f4a71", "updatedAt": "2026-09-04T08:02:41Z" }, "matchingRuleId": "5e0f6a4b-8d2c-4f7e-9b1a-3c6d2e8f4a71", "updatedAt": "2026-09-04T08:02:37Z" }, "otherPartyIBAN": "DE02500105170137075030", "otherPartyName": "Papierhaus Wendt KG", "otherPartyUltimate": null, "remittanceInformation": "Rechnung 2026-5531 Kd-Nr. 88213", "status": "booked", "transactionAmount": -4389, "transactionCurrency": "EUR", "updatedAt": "2026-09-04T08:02:40Z", "valueDate": { "day": 3, "month": 9, "year": 2026 }, "valueDateTime": null } ], "limit": 100, "offset": 0, "total": 2}